Skip to main content
POST
/
onboarding
/
agreements
/
{agreementType}
Creates a new agreement questionnaire of the given agreementType
curl --request POST \
  --url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legalEntityName": "<string>",
  "signerEmail": "<string>",
  "signerFirstName": "<string>",
  "signerLastName": "<string>",
  "frameAncestor": "<string>",
  "returnUrl": "<string>",
  "termsAgreementFormat": "anchorage"
}
'
{
  "data": {
    "id": "<string>",
    "legalEntityName": "<string>",
    "signerEmail": "<string>",
    "signerFirstName": "<string>",
    "signerLastName": "<string>",
    "url": "<string>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

agreementType
enum<string>
required

The type of the agreement

Available options:
terms

Body

application/json

Legal entity name of the customer

signerEmail
string
required

Email of the signer

signerFirstName
string
required

First name of the signer

signerLastName
string
required

Last name of the signer

frameAncestor
string

URL where the terms and conditions link should be embedded

returnUrl
string

URL of the page to return to once the terms and conditions have been accepted

termsAgreementFormat
enum<string>
default:anchorage

Terms and Conditions format

Available options:
anchorage,
docusign

Response

Successfully creates a new agreement questionnaire

data
CreateKYCAgreementResponseData · object
required